## org.exist.xquery.test
Class XMLNodeAsXQueryParameterTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xquery.test.XMLNodeAsXQueryParameterTest

All Implemented Interfaces:
  junit.framework.Test

public class XMLNodeAsXQueryParameterTest
extends junit.framework.TestCase

Class to test eXist's capability to handle XML Nodes as XQuery parameter.

Version:
  1.0
Author:
  Tobias Wunden

Constructor Summary
`XMLNodeAsXQueryParameterTest()`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testXMLNodeAsXQueryParameter()` This test passes a W3C dom node as an xquery parameter to eXist and tries to read it back in: Register a database instance Write a document to the database using the XQueryService Read the document from the database using XmlDB Check for the document content

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLNodeAsXQueryParameterTest

    public XMLNodeAsXQueryParameterTest()

Method Detail

### main

    public static void main(java.lang.String[] args)

### testXMLNodeAsXQueryParameter

    public final void testXMLNodeAsXQueryParameter()

  This test passes a W3C dom node as an xquery parameter to eXist and tries to read it back in:
  - Register a database instance
  - Write a document to the database using the XQueryService
  - Read the document from the database using XmlDB
  - Check for the document content

Copyright (C) Wolfgang Meier. All rights reserved.